=== debian/changelog ===
request-tracker4 (4.2.13-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Revert gpg1 related patches
  * Revert patch changing configuration to use Noto fonts

 -- Dominic Hargreaves <dom@earth.li>  Thu, 05 Jan 2017 17:14:31 +0000

request-tracker4 (4.2.13-4) unstable; urgency=medium

  * Revert patches to not configure gpg path at runtime
  * Use gpg1 explicitly in runtime (Closes: #845534)
  * Fix test failure with OpenSSL 1.1 by adapting probe 

 -- Dominic Hargreaves <dom@earth.li>  Sun, 27 Nov 2016 11:14:31 +0000

request-tracker4 (4.2.13-3) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/rules: run tests with http_proxy unset.
  * debian/control: add tzdata to Build-Depends.
  * set LC_ALL to C
  * Force gpg1 in RT::Test::GnuPG's configuration (Closes: #839580)
  * debian/control: update Vcs-* headers.
  * debian/control: update mysql dependencies to the new default-* packages.
  * debian/control: add lsb-base to packages' dependencies with init scripts.
  * Editorial changes to debian/copyright.
  * debian/control: remove duplicate build dependency.
  * Update lintian overrides.
  * debian/control: update build and runtime dependencies.

 -- Dominic Hargreaves <dom@earth.li>  Tue, 25 Oct 2016 22:11:39 +0100

request-tracker4 (4.2.13-2) unstable; urgency=medium

  * Correct typo in gpg1 patch description
  * Fix another use of gpg in the test suite (Closes: #835536)
  * Fix FTBFS with '.' removed from @INC (Closes: #836833)

 -- Dominic Hargreaves <dom@earth.li>  Tue, 06 Sep 2016 13:26:01 +0100

request-tracker4 (4.2.13-1) unstable; urgency=medium

  * Update debian/watch to reflect new upstream download page
    (thanks, Max Kosmach)
  * New upstream release
  * Add 'use utf8;' to RT_SiteConfig.pm to allow Unicode strings to
    be used
  * Apply upstream fix for test failures with Mojolicious 7
    (Closes: #832829)
  * Fix FTBFS with gpg 2.1 by no longer explicitly configuring the
    path to gpg (Closes: #835536)
  * Update Standards-Version (no changes)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 27 Aug 2016 23:48:45 +0100

request-tracker4 (4.2.12-6~bpo8+1) jessie-backports; urgency=medium

  * Revert switch to fonts-noto (+ fonts-droid-fallback) as they are
    not available in jessie

 -- Dominic Hargreaves <dom@earth.li>  Fri, 08 Jul 2016 11:21:54 +0200

request-tracker4 (4.2.12-6) unstable; urgency=medium

  * Remove dependency on request-tracker4 by rt4-fcgi, since that
    results in a circular dependency which is problematic
    (Closes: #812316)

 -- Dominic Hargreaves <dom@earth.li>  Fri, 15 Apr 2016 14:43:50 +0100

request-tracker4 (4.2.12-5~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Dominic Hargreaves <dom@earth.li>  Thu, 16 Jun 2016 22:12:21 +0100
