## request-tracker4 4.4.1

=== Makefile ===
--- 
+++ 
@@ -63,8 +63,8 @@
 
 
 RT_VERSION_MAJOR	=	4
-RT_VERSION_MINOR	=	2
-RT_VERSION_PATCH	=	13
+RT_VERSION_MINOR	=	4
+RT_VERSION_PATCH	=	1
 
 RT_VERSION		=	$(RT_VERSION_MAJOR).$(RT_VERSION_MINOR).$(RT_VERSION_PATCH)
 TAG 			=	rt-$(RT_VERSION_MAJOR)-$(RT_VERSION_MINOR)-$(RT_VERSION_PATCH)
@@ -144,8 +144,10 @@
 				rt-email-dashboards \
 				rt-email-digest \
 				rt-email-group-admin \
+				rt-externalize-attachments \
 				rt-fulltext-indexer \
 				rt-importer \
+				rt-ldapimport \
 				rt-preferences-viewer \
 				rt-serializer \
 				rt-server \
@@ -264,12 +266,12 @@
 
 my_with_web_handlers= $(shell $(PERL) -e 'print join " ", map "--with-$$_", grep defined && length, split /,/, "$(WEB_HANDLER)"')
 testdeps:
-	$(PERL) ./sbin/rt-test-dependencies --verbose --with-$(DB_TYPE) $(my_with_web_handlers)
+	$(PERL) ./sbin/rt-test-dependencies --with-$(DB_TYPE) $(my_with_web_handlers)
 
 depends: fixdeps
 
 fixdeps:
-	$(PERL) ./sbin/rt-test-dependencies --verbose --install --with-$(DB_TYPE) $(my_with_web_handlers)
+	$(PERL) ./sbin/rt-test-dependencies --install --with-$(DB_TYPE) $(my_with_web_handlers)
 
 #}}}
 
@@ -375,4 +377,3 @@
 test-parallel: 
 	RT_TEST_PARALLEL=1 $(PERL) "-MApp::Prove" -e 'my $$p = App::Prove->new(); $$p->process_args("-wlrj$(RT_TEST_PARALLEL_NUM)","--state=slow,save", "t"); exit( $$p->run() ? 0 : 1 )'
 
-regression-reset-db: force-dropdb
