=== debian/changelog ===
request-tracker4 (4.4.1-3+deb9u1) stretch-security; urgency=high

  * Fix multiple security issues:
    - [CVE-2017-5943] CSRF verification token information leak
    - [CVE-2016-6127] XSS in file uploads
    - [CVE-2017-5361] Timing side-channel vulnerability in password
      verification
    - [CVE-2017-5944] Remote code execution in dashboard interface
    - Add check for incorrect RestrictLoginReferrer configuration setting
  * Work around a DoS vulnerability in Email::Address (CVE-2015-7686)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 11 Jun 2017 01:03:32 +0100

request-tracker4 (4.4.1-3) unstable; urgency=medium

  * Revert RT_SiteConfig.pm handling to ucf, for smoother upgrades
    (Closes: #852516)
  * Correct Conflicts/Replaces on rt4-extension-authenexternalauth
    (Closes: #852522)
  * Correct typo when removing obsolete update-rt-siteconfig alternatives
    to fix a piuparts issue
  * Correctly install rt-ldapimport manpage links

 -- Dominic Hargreaves <dom@earth.li>  Wed, 25 Jan 2017 15:22:46 +0000

request-tracker4 (4.4.1-2) unstable; urgency=medium

  * Tweaks to RT_SiteConfig.d patch to improve correctness
  * Add Conflicts/Replaces on rt4-extension-sla which is now in
    core
  * Upload to unstable

 -- Dominic Hargreaves <dom@earth.li>  Fri, 20 Jan 2017 14:25:54 +0000

request-tracker4 (4.4.1-1) experimental; urgency=medium

  * Drop alternative dependency on removed libapache2-mod-fastcgi
    (Closes: #847748)
  * New upstream release
  * Add database upgrade script and NEWS entry
  * Adapt package to use dynamically-read configuration snippets
    in /etc/request-tracker4/RT_SiteConfig.d. See NEWS for more
    information about this change (Closes: #550271)
  * Update debhelper compat to version 9
  * Update Lintian overrides for files with source in third-party-source

 -- Dominic Hargreaves <dom@earth.li>  Mon, 02 Jan 2017 23:56:12 +0000
