=== debian/control ===
--- 
+++ 
@@ -4,13 +4,16 @@
            Dominic Hargreaves <dom@earth.li>
 Section: misc
 Priority: optional
-Build-Depends: debhelper (>= 5),
+Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                dh-systemd,
+               gnupg1,
                libapache-session-perl,
+               libbusiness-hours-perl,
                libcgi-emulate-psgi-perl,
                libcgi-pm-perl,
                libcgi-psgi-perl,
+               libcss-minifier-xs-perl,
                libclass-accessor-perl,
                libconvert-color-perl,
                libcrypt-eksblowfish-perl,
@@ -19,6 +22,7 @@
                libcss-squish-perl,
                libdata-guid-perl,
                libdata-ical-perl,
+               libdata-page-pageset-perl,
                libdate-extract-perl,
                libdate-manip-perl,
                libdatetime-format-natural-perl,
@@ -33,14 +37,13 @@
                libemail-address-list-perl,
                libemail-address-perl (>= 1.897),
                libfcgi-perl,
-               libfcgi-procmanager-perl,
                libfile-sharedir-perl,
                libfile-which-perl,
                libgd-graph-perl (>= 1.47),
                libgd-text-perl,
                libgnupg-interface-perl,
                libgraphviz-perl,
-               libhtml-formattext-withlinks-andtables-perl,
+               libhtml-formattext-withlinks-andtables-perl (>= 0.06),
                libhtml-formattext-withlinks-perl,
                libhtml-mason-perl,
                libhtml-mason-psgihandler-perl,
@@ -51,6 +54,7 @@
                libhttp-message-perl,
                libipc-run-perl,
                libipc-run3-perl,
+               libjavascript-minifier-xs-perl,
                libjson-perl,
                liblist-moreutils-perl,
                liblocale-maketext-fuzzy-perl,
@@ -65,6 +69,10 @@
                libmodule-versions-report-perl,
                libmojolicious-perl,
                libnet-cidr-perl,
+               libnet-ip-perl,
+               libnet-ldap-perl,
+               libnet-ldap-server-test-perl,
+               libnet-ssleay-perl,
                libperlio-eol-perl,
                libplack-middleware-test-stashwarnings-perl (>= 0.08),
                libplack-perl (>= 1.0002),
@@ -72,6 +80,7 @@
                libregexp-common-perl,
                libregexp-ipv6-perl,
                librole-basic-perl,
+               libscope-upper-perl,
                libset-tiny-perl,
                libstring-shellquote-perl,
                libsymbol-global-name-perl,
@@ -105,7 +114,7 @@
                perl (>= 5.21.6) | libencode-perl (>= 2.64),
                perl,
                po-debconf,
-               tzdata
+               tzdata,
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-request-tracker/request-tracker4.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-request-tracker/request-tracker4.git
@@ -119,8 +128,10 @@
          rt4-db-sqlite (= ${source:Version}) | rt4-db-postgresql (= ${source:Version}) | rt4-db-mysql (= ${source:Version}),
          dbconfig-common,
          exim4 | mail-transport-agent,
-         fonts-droid,
+         fonts-droid-fallback,
+         fonts-noto-hinted,
          libapache-session-perl,
+         libbusiness-hours-perl,
          libcgi-emulate-psgi-perl,
          libcgi-pm-perl,
          libcgi-psgi-perl,
@@ -129,9 +140,11 @@
          libcrypt-eksblowfish-perl,
          libcrypt-ssleay-perl,
          libcrypt-x509-perl,
+         libcss-minifier-xs-perl,
          libcss-squish-perl,
          libdata-guid-perl,
          libdata-ical-perl,
+         libdata-page-pageset-perl,
          libdate-extract-perl,
          libdate-manip-perl,
          libdatetime-format-natural-perl,
@@ -142,7 +155,6 @@
          libdevel-globaldestruction-perl,
          libemail-address-list-perl,
          libemail-address-perl (>= 1.897),
-         libfcgi-procmanager-perl,
          libfile-sharedir-perl,
          libfile-which-perl,
          libgd-graph-perl (>= 1.47),
@@ -159,6 +171,7 @@
          libhttp-message-perl,
          libipc-run-perl,
          libipc-run3-perl,
+         libjavascript-minifier-xs-perl,
          libjson-perl,
          liblist-moreutils-perl,
          liblocale-maketext-fuzzy-perl,
@@ -170,12 +183,16 @@
          libmodule-refresh-perl,
          libmodule-versions-report-perl,
          libnet-cidr-perl,
+         libnet-ip-perl,
+         libnet-ldap-perl,
+         libnet-ssleay-perl,
          libperlio-eol-perl,
          libplack-perl (>= 1.0002),
          libregexp-common-net-cidr-perl,
          libregexp-common-perl,
          libregexp-ipv6-perl,
          librole-basic-perl,
+         libscope-upper-perl,
          libstring-shellquote-perl,
          libsymbol-global-name-perl,
          libtext-autoformat-perl,
@@ -195,15 +212,21 @@
          lsb-base,
          perl (>= 5.21.6) | libencode-perl (>= 2.64),
          rsyslog | system-log-daemon,
-         ucf
+         ucf,
 Recommends: cron-daemon,
+            libfile-dropbox-perl,
             libhtml-formatexternal-perl,
-            w3m
+            libnet-amazon-s3-perl,
+            w3m,
 Suggests: rt4-doc-html
-Conflicts: request-tracker,
-           request-tracker3.2 (<< 3.2.2-3),
-           rt4-extension-assettracker
-Replaces: request-tracker
+Conflicts: rt4-extension-assettracker,
+           rt4-extension-authenexternalauth,
+           rt4-extension-spawnlinkedticketinqueue,
+           rt4-extension-sla,
+Replaces: rt4-extension-assettracker,
+          rt4-extension-authenexternalauth,
+          rt4-extension-spawnlinkedticketinqueue,
+          rt4-extension-sla,
 Description: extensible trouble-ticket tracking system
  Request Tracker (RT) is a ticketing system which
  enables a group of people to intelligently and efficiently manage
@@ -286,24 +309,3 @@
 Recommends: nginx-full
 Description: External FastCGI support for request-tracker4
  Request Tracker (RT) is a ticketing system which
- enables a group of people to intelligently and efficiently manage
- tasks, issues, and requests submitted by a community of users. It
- features web, email, and command-line interfaces (see the package
- rt4-clients).
- .
- RT manages key tasks such as the identification, prioritization,
- assignment, resolution, and notification required by
- enterprise-critical applications, including project management, help
- desk, NOC ticketing, CRM, and software development.
- .
- This package provides the 4 series of RT. It can be installed alongside
- the 3.8 series without any problems. 
- .
- This package provides an external FCGI interface for web servers
- including, but not limited to, nginx, and is not needed for web servers
- such as Apache which invoke FCGI programs directly.
-
-Package: rt4-apache2
-Architecture: all
-Depends: ${misc:Depends},
-         apache2,
