=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,9 @@
 	  --with-my-user-group \
 	  --enable-layout=inplace \
 	  --with-db-type=SQLite \
+	  --enable-externalauth \
+	  --with-s3 \
+	  --with-dropbox \
 	  --enable-developer
 
 	-$(MAKE) testdeps
@@ -62,7 +65,10 @@
 	  --with-web-handler=standalone,fastcgi,modperl2 \
 	  --with-libs-group=root \
 	  --with-db-type=Pg \
-	  --with-db-dba=postgres
+	  --with-db-dba=postgres \
+	  --enable-externalauth \
+	  --with-s3 \
+	  --with-dropbox \
 
 	-$(MAKE) testdeps
 	mkdir man
@@ -99,8 +105,8 @@
 	# libraries instead
 	# (leave below as example as there'll be different ones to add back)
 	#rm -rf $(RT_PKG)/usr/share/$(RT)/html/NoAuth/js/prototype
-	# We will install symlinks to the fonts provided by the fonts-droid
-	# package
+	# We will install symlinks to the fonts provided by the fonts-noto
+	# and fonts-droid-fallback packages
 	rm -rf $(RT_PKG)/usr/share/$(RT)/fonts
 
 	for x in rt-server rt-server.fcgi standalone_httpd; do \
@@ -141,8 +147,6 @@
 	install -m 644 debian/scripts/siteconfig.template $(RT_PKG)/usr/share/$(RT)/debian/
 	install -m 644 debian/scripts/dbconfig.template $(RT_PKG)/usr/share/$(RT)/debian/
 	install -m 755 debian/scripts/write-siteconfig $(RT_PKG)/usr/share/$(RT)/debian/
-	install -m 755 debian/scripts/update-rt-siteconfig $(RT_PKG)/usr/sbin/update-rt-siteconfig-$(VER)
-	install -m 644 debian/scripts/update-rt-siteconfig.man $(RT_PKG)/usr/share/man/man8/update-rt-siteconfig-$(VER).8
 
 	install -m 644 debian/lintian-overrides $(RT_PKG)/usr/share/lintian/overrides/$(RT)
 
@@ -164,6 +168,7 @@
 	install -m 755 debian/scripts/dbconfig-upgrade-4.2.7 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.2.7
 	install -m 755 debian/scripts/dbconfig-upgrade-4.2.10 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.2.10
 	install -m 755 debian/scripts/dbconfig-upgrade-4.2.11 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.2.11
+	install -m 755 debian/scripts/dbconfig-upgrade-4.4.1 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.4.1
 
 	chmod 755 $(RT_PKG)/usr/share/bug/$(RT)/script
